#
# spec file for package fnlib (Version 0.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  imlib imlib-config imlib-devel libjpeg libpng libtiff libungif xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip imlib imlib-config imlib-devel kbd less libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         fnlib
Copyright:    LGPL
Group:        Development/Libraries
Provides:     fnlib 
Autoreqprov:  on
Summary:      The fnlib (font lib)
URL:          http://www.enlightenment.org
Version:      0.5
Release:      308
Source:  ftp://ftp.enlightenment.org/e/enlightenment/libs/fnlib-%{version}.tar.gz
BuildRoot:    /var/tmp/fnlib-root

%description
The fnlib is necessary for the Enlightenment window manager.

Authors:
--------
    Carsten Haitzler <raster@redhat.com>

SuSE series: xwm

%prep
%setup 
cd $RPM_BUILD_DIR
%{?suse_update_config:%{suse_update_config -f fnlib-0.5}}

%build
%define prefix /usr
%define sysconfdir /etc
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix} \
            --sysconfdir=%{sysconfdir}
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} \
     sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
     install 

%files
%config %{sysconfdir}/fnrc
%doc AUTHORS COPYING COPYING.LIB ChangeLog HACKING INSTALL
%doc NEWS README doc/index.html doc/fontinfo.README
%{prefix}/lib/*
%{prefix}/include/*
%{prefix}/share/fnlib_fonts/*

%changelog -n fnlib
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Sat Mar 04 2000 - ro@suse.de
- fixed neededforbuild
* Wed Mar 01 2000 - grimmer@suse.de
- Update to 0.5
- Specfile cleanups (version macro, URL, Group Tag)
- use BUILD_ROOT
- removed obsolete patch
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Thu Oct 29 1998 - ro@suse.de
- updated neededforbuild
* Sat Jul 18 1998 - mb@suse.de
- first initial version 0.2 of the fnlib (fontlib)
  for the Enlightenment windowmanager
